apiVersion: traefik.io/v1alpha1
kind: IngressRouteTCP
metadata:
  name: docker-registry
  namespace: nexus
spec:
  entryPoints:
    - websecure
  routes:
    - match: HostSNI(`registry-dev.allarddcs.nl`)
      services:
        - name: nexus
          port: 5000  # Nexus Docker HTTPS port
  tls:
    certResolver: letsencrypt
    domains:
      - main: registry-dev.allarddcs.nl
